/* Event listener */
function addEvtListener (obj, evtName, f) {
  if (document.addEventListener) {
    /* FF, IE 11+ */
    if (obj) {
      obj.addEventListener(evtName, f, false)
    } else {
      document.addEventListener(evtName, f, false)
    }
  } else if (document.attachEvent) {
    /* IE 6-10 */
    if (obj) {
      obj.attachEvent('on' + evtName, f)
    } else {
      document.attachEvent('on' + evtName, f)
    }
  }
}

/**
 * Serialize Javascript object to query string.
 * Allows us to send data in GET requests.
 */
function serializeObjectToQuery (obj) {
  var str = [];
  for (var p in obj) {
    if (obj.hasOwnProperty(p)) {
      str.push(encodeURIComponent(p) + '=' + encodeURIComponent(obj[p]));
    }
  }
  return str.join('&');
}
