<?php

/**
 * ClickHeat - Clicks' heatmap
 *
 * @link http://www.dugwood.com/clickheat/index.html
 * @license http://www.gnu.org/licenses/gpl-3.0.html Gpl v3 or later
 * @version $Id$
 *
 * @package Piwik\Plugins\ClickHeat
 */

namespace Piwik\Plugins\ClickHeat;
use Piwik\Config;

require_once "clickheat_config.php";

class ClickHeat extends \Piwik\Plugin
{
	function install()
  {
    global $clickheatConf;

		/** Create main cache paths */
    $logPath = $clickheatConf['logPath'];
    $cachePath = $clickheatConf['cachePath'];
    if (!is_dir($logPath))
		{
			mkdir($logPath, 0777, true);
		}
		if (!is_dir($cachePath))
		{
			mkdir($cachePath, 0777, true);
		}
	}
}
